Установите ядро ​​4.14.13 для борьбы с Meltdown

Ядро Linux

В лице недавние проблемы безопасности сгенерировано за последние недели с относительно атак Meltdown и Spectre, крупные компании-разработчики программного обеспечения приложили немало усилий, чтобы найти и решить эту проблему.

Между тем В Linux у нас уже есть первые исправления, устраняющие эти серьезные недостатки безопасности., поэтому мы должны поставить перед собой задачу обновить ядро ​​нашей системы, чтобы она была защищена.

En эта новая версия Обслуживание ядра Linux Самый замечательный де эсто Это патчи, которые останавливают атаки Meltdown и Spectre., с другой стороны, они работали, чтобы избежать проблем с переполнением памяти, а также с распределением памяти.

Как установить отладочную версию ядра Linux 4.14.13 на Ubuntu 17.10?

Без лишних слов единственное, что я могу сказать в том, что эта версия чрезвычайно важна, чтобы она была в нашей системе, поскольку это решение текущих проблем безопасности.

Стоит отметить, что описанный здесь процесс применим не только для Ubuntu, мы также можем сделать это в Linux Mint, Elementary OS, Zorin OS и любая другая производная система Ubuntu.

Для 32-битных версий Открываем терминал и выполняем следующее:

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413_4.14.13-041413.201801101001_all.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413-generic_4.14.13-041413.201801101001_i386.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-image-4.14.13-041413-generic_4.14.13-041413.201801101001_i386.deb

Уже сделал это, яМы устанавливаем пакеты перед загрузкой со следующими:

sudo dpkg -i linux-headers-4.14.13*.deb linux-image-4.14.13*.deb

Сейчас для 64-битных систем, скачиваем эти пакеты:

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413_4.14.13-041413.201801101001_all.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-headers-4.14.13-041413-generic_4.14.13-041413.201801101001_amd64.deb

wget -c www.kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.13/linux-image-4.14.13-041413-generic_4.14.13-041413.201801101001_amd64.deb

Y мы наконец установили с следующая команда:

sudo dpkg -i linux-headers-4.14.13*.deb linux-image-4.14.13*.deb

В конце концов Нам нужно будет только перезагрузить компьютер, чтобы изменения вступили в силу. и когда мы находимся в Grub, мы должны убедиться, что система запускается с новым ядром.

Теперь, если вы новичок, вы можете не делать это вручную, вы можете использовать этот инструмент, который поможет вам сделать это за вас, ссылка такая.


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

13 комментариев, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован.

*

*

  1. Ответственный за данные: Мигель Анхель Гатон
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   Джованни гапп сказал

    И ошибка BIOS, когда они его ремонтируют, или они просто скажут нам, что решения нет, и вымоют руки?

    1.    Дэвид ешаэль сказал

      Ошибка уже исправлена

      1.    Гектор Моро сказал

        Добрый день, Дэвид.

        Вы комментируете, что ошибка уже исправлена, но предполагается, что они разрешили загрузку 11/01, но на сегодняшний день ничего. Ни в убунлоге, ни в огм нет никаких объяснений! ubuntu !, ни на официальном сайте Ubuntu.

  2.   Хосеп Пуджадас-Джубани сказал

    На этой версии ядра висят все ноутбуки в нашем институте. Нам пришлось отключить 16.04-битные обновления Lubuntu 64 LTS.
    Дома на рабочем столе работает. Но компьютер зависает, когда я открываю свою старую виртуализированную Windows XP с VirtualBox. Больше информации:
    https://bugs.launchpad.net/ubuntu/+source/linux-signed/+bug/1742626

    1.    Хосеп Пуджадас-Джубани сказал

      Ужастик!
      Раньше я имел в виду 4.13.0-26 (последняя официальная версия) для 16.04 LTS HWE. И вот я вижу, что в статье написано 4.14.13.
      Извини!
      https://insights.ubuntu.com/2018/01/12/meltdown-and-spectre-status-update/

  3.   Сайто сказал

    Я использую Kubuntu 16.04.3 и ядро ​​4.13.0-26, все исправлено и работает отлично (без серьезных ошибок или ошибок), однако я должен сказать, что у меня те же проблемы, что и у всех с VirtualBox: хотя он не умирает для меня система, просто потребление процессора составляет более 75% и через пару минут перестает работать только VirtualBox и не всегда.

  4.   Ingemar сказал

    Я получаю это сообщение: bash: синтаксическая ошибка рядом с неожиданным элементом `новая строка ', указанным выше при вводе первого пакета, соответствующего 64-битным системам. Как мне исправить это, чтобы установить пакеты в Ubuntu 17.10? Привет!

    1.    Хосеп Пуджадас-Джубани сказал
  5.   Гонсало сказал

    Конечно, им придется обновить VirtualBox, чтобы приспособиться к этому обновлению ядра.

  6.   Гектор Моро сказал

    Что происходит с Canonical и Ubuntu?

    Поскольку ubuntu 17.10 использовать нельзя, он вернулся к ubuntu 16.04.03. Но после установки и обновления, помимо прочего, ядро ​​обновилось с 4.10 до 4.13. Когда я перезагрузил компьютер, я не смог найти программы, потому что при запуске Ubuntu произошел сбой, и когда я щелкнул по нему, экран перезапустился, и не было возможности нормально работать. Другими словами, разбился весь док, он мог работать только на терминал.

    Мой ноутбук - HP Pavilion DV5-2247la. Процессор Intel Core i5-480M с тактовой частотой 2,66 ГГц, кэш L3 3 МБ, 2 модуля DDR3 DIMM по 8 ГБ, графика Intel HD с общим объемом графической памяти до 1696 МБ, жесткий диск 640 ГБ (5400 об / мин).

    1.    Хосеп Пуджадас-Джубани сказал

      Если у вас 16.04 LTS HWE (16.04.03), последнее официальное ядро ​​- 4.13.0-31. В моей работе это хорошо работает с командами старше 2 лет. В более новых у нас проблемы с назначением IRQ.

      https://bugs.launchpad.net/ubuntu/+source/linux-signed/+bug/1742626
      https://bugzilla.kernel.org/show_bug.cgi?id=194945#c84

      В меню grub расширенные параметры можно начать с 4.10. Затем вы можете установить grub-customizer, чтобы установить загрузку 4.10.

      http://ubuntuhandbook.org/index.php/2016/04/install-grub-customizer-ubuntu-16-04-lts/

      У нас есть команды с 4.10 (это первая мера, которую мы принимаем), а со вчерашнего дня команды с 4.14.15, http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.15/

      «Что происходит с Canonical и Ubuntu?

      Это не их проблема. Это общая проблема, которая затрагивает все операционные системы. Наш поставщик оборудования сказал мне пару дней назад, что у него много компьютеров, отличных от Linux, которые не загружаются после обновления.

      Удачи!

  7.   Пьер Арибо сказал

    Привет, можно ли использовать ядро ​​4.14.13 с Linux Mint 18.3?

    1.    Хосеп Пуджадас-Джубани сказал

      Я должен идти. Это Ubuntu Xenial (16.04), https://linuxmint.com/download_all.php